use maraiah::marathon::map;

#[test]
fn read_minf_must_process_map0()
{
   assert_eq!(map::read_minf(INPUT).unwrap(),
              map::Minf{env_code: 0,
                        physi_id: 1,
                        music_id: 1,
                        msn_flag: map::MsnFlags::Repair,
                        env_flag: map::EnvFlags::empty(),
                        ent_flag: map::EntFlags::Solo | map::EntFlags::CoOp,
                        levelnam: "Waterloo Waterpark".to_string()});
}

const INPUT: &'static [u8] = include_bytes!("data/minf.in");

// EOF
